%define upstream_name    Test-Class
%define upstream_version 0.38

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Write Perl test suites in xUnit style
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Attribute::Handlers) >= 0.770.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::File) >= 1.90.0
BuildRequires: perl(MRO::Compat) >= 0.110.0
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Storable) >= 2.40.0
BuildRequires: perl(Test::Builder) >= 0.780.0
BuildRequires: perl(Test::Builder::Tester) >= 1.20.0
BuildRequires: perl(Test::Exception) >= 0.250.0
BuildRequires: perl(Test::More) >= 0.780.0
BuildRequires: perl(Test::Simple) >= 0.780.0
BuildArch:  noarch

%description
Test::Class provides a simple way of creating classes and objects to test
your code in an xUnit style.

Built using the Test::Builder manpage, it was designed to work with other
Test::Builder based modules (the Test::More manpage, the Test::Differences
manpage, the Test::Exception manpage, etc.).

_Note:_ This module will make more sense, if you are already familiar with
the "standard" mechanisms for testing perl code. Those unfamiliar with the
Test::Harness manpage, the Test::Simple manpage, the Test::More manpage and
friends should go take a look at them now. the Test::Tutorial manpage is a
good starting point.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.380.0-2.mga3
+ Revision: 373396
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.380.0-1.mga3
+ Revision: 342687
- update to 0.38

* Thu Jul 05 2012 jquelin <jquelin> 0.370.0-1.mga3
+ Revision: 268091
- update to 0.37

* Fri Jan 21 2011 jquelin <jquelin> 0.360.0-2.mga1
+ Revision: 28789
- mageia rebuild
- imported package perl-Test-Class

